%global pypi_name se3-transformer-pytorch
%global pypi_version 0.9.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %autorelease
Summary:        Implementation of SE3-Transformers for Equivariant Self-Attention, in Pytorch

License:        MIT
URL:            https://github.com/lucidrains/se3-transformer-pytorch
Source:         %{pypi_source se3-transformer-pytorch}

BuildArch:      noarch
# Pytorch only on X86_64 and aarch64
ExclusiveArch:  x86_64 aarch64

BuildRequires:  python3-devel

%global _description %{expand:
Implementation of SE3-Transformers for Equivariant Self-Attention,
in Pytorch.  May be needed for replicating Alphafold2 results and
other drug discovery applications.}

%description %_description

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description

%prep
%autosetup -n %{pypi_name}-%{pypi_version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l se3_transformer_pytorch

%check
%pyproject_check_import
# needs, pip install lie_learn, to run pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}

%changelog
%autochangelog
